Subject: RE: EGCS-1.0.2-Mingw32
From: [email-masked] (Parker, Ron)

12 Sep 1998 07:15:16 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed;
	boundary="---- =_NextPart_000_01BDDDAE.A0C65A66"
To: Mumit Khan <[email-masked]>,
        Paul Garceau
	 <[email-masked]>
Cc: [email-masked]

This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

------ =_NextPart_000_01BDDDAE.A0C65A66
Content-Type: text/plain

Not to mention all DirectX interfaces are available via COM which
bypasses
the entire name mangling problem.

-----Original Message-----
From: Mumit Khan [mailto:[email-masked]]
Sent: Thursday, September 10, 1998 4:22 PM
To: Paul Garceau
Cc: [email-masked]
Subject: Re: EGCS-1.0.2-Mingw32

On Wed, 9 Sep 1998, Paul Garceau wrote:

> 
> 	The latter, C++ mangling.  EGCS-1.0.2-Mingw32 is looking for 
> IDirectDraw::SetCooperativeLevel.  Headers can only understand
> IDirectDraw->SetCooperativeLevel.

Hmmm ... the two are completely incompatible in C++, so I don't what
it's
trying to do.

Also, note that MS provides a mechanism for accessing all their C++ APIs
using C only. I don't know much about it, but I know others have used it
(and I thought you are one of those people).

Anyway, please send me a snippet of code so I know what you're asking.

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message
to
"[email-masked]" with one line of text: "help".

------ =_NextPart_000_01BDDDAE.A0C65A66
Content-Type: application/ms-tnef
Content-Transfer-Encoding: base64

------ =_NextPart_000_01BDDDAE.A0C65A66--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".